Page MenuHomePhabricator

Support Gerrit as a data source in the rest of the dashboards under the "Community" Tab (and not only Git)
Closed, ResolvedPublic0 Story Points

Description

On the dashboards under "Community" in the top navigation, for example https://wikimedia.biterg.io/app/kibana#/dashboard/Overall-Community-Structure and others, currently the only available data source is Git.

However, as Wikimedia imports quite some Git repositories from upstream which makes any Git statistics rather noisy and less useful, having Gerrit as a data source would be more relevant for us.

(For completeness: Regarding Github instead of Gerrit, please see T218529 and T218528)

Non-public internal ticket: https://gitlab.com/Bitergia/c/Wikimedia/support/issues/64

Event Timeline

Aklapper triaged this task as Low priority.Jun 16 2019, 5:47 PM
Aklapper created this task.
Aklapper raised the priority of this task from Low to Normal.Jun 20 2019, 8:40 AM
Aklapper renamed this task from Offer Gerrit as Data Source on "Community" dashboards, not only Git to Support Gerrit as a data source in the rest of the dashboards under the "Community" Tab (and not only Git).Aug 5 2019, 8:57 PM
Aklapper updated the task description. (Show Details)
Aklapper updated the task description. (Show Details)
Aklapper closed this task as Resolved.Sep 5 2019, 8:32 PM

This has become available in August 2019: "Gerrit" can be selected in the "Data source" selection drop down menu (top left widget), in addition to "Git".

Note to myself, also communicated to Bitergia: We may want to consider also setting author_bot:"false" by default, see T225674: Set "author_bot:false" by default on all dashboards that include Git/Gerrit data/widgets.